MANUAL FREECAD

1.1 Modo de empleo 1.2 Contribuir 2 Introducción 2.1 Características generales 2.1.1 Base de aplicación 2.1.2 Documento estructura 2.1.3 Interfaz de usuario 2.2 Aplicación características específicas 2.2.1 Las mallas 2.2.2 2D de Redacción 2.2.3 CAD 2.2.4 Raytracing 2.2.5 Dibujo 2.2.6 CAM 3 Instalación 3.1: Instalación en Windows 3.1.1 Instalación sencilla 3.1.2 Instalación de la línea de comandos 3.1.2.1-Instalación interactiva para no 3.1.2.2 interfaz de usuario limitada 3.1.2.3 Objetivo de la guía 3.1.2.4 Instalación para todos los usuarios 3.1.2.5 Selección de características 3.1.3 Desinstalación 3.1.4 instalación administrativa 3.1.5 Publicidad 3.1.6 Instalación automática de un grupo de máquinas 3.1.7 Instalación en Linux usando Crossover Office 3.2 Instalación en Unix / Linux 3.2.1 Instalación en sistemas Debian / Ubuntu 3.2.2 Instalación en otros sistemas Linux / Unix 3.3 Instalación en Mac 3.3.1 Instalación sencilla 3.3.2 Desinstalación 4 Descubrir FreeCAD 4.1 Introducción 4.2 Instalación 4.3 Exploración de FreeCAD 4.3.1 Navegación en el espacio 3D 4.4 2D de Redacción 4.4.1 herramientas de Redacción 4.4.2 Los objetos de dibujo 4.4.3 Modificación de objetos 4.5 Creación de piezas en 3D 4.5.1 Primitivas 4.5.2 Modificación de objetos

4.6 Exportación de dibujos 2D 4.7 Exportar a renderizadores externos 4.8 Secuencias de comandos 5 Trabajar con FreeCAD 5.1 navegación 3D 5.2 Selección de objetos 5.3 Manipulación de Objetos 5.4 Manipulación de Objetos 5.5 El documento FreeCAD 5.6 Aplicación y la interfaz de usuario 5.7 Secuencias de comandos 5.8 Configuración de las preferencias del usuario 5.9 Personalización de la interfaz 5.10 Propiedades de los objetos 6 Trabajando con bancos de trabajo 6.1 El banco de trabajo de malla 6.1.1 Con el módulo de acoplamiento 6.2 La Parte banco de trabajo 6.2.1 Las herramientas 6.2.2 Primitivas 6.2.3 Modificación de objetos 6.2.4 Operaciones booleanas 6.2.5 Explicar los conceptos 6.2.6 Secuencias de comandos 6.2.7 Ejemplos 6.3 El banco de trabajo de dibujo 6.3.1 Herramientas de interfaz gráfica de usuario 6.3.2 Secuencias de comandos 6.3.3 Ejemplo simple 6.3.4 La forma paramétrica 6.3.5 Acceso a las partes y piezas 6.3.6 Plantillas 6.4 El trazado de rayos banco de trabajo 6.4.1 Herramientas de interfaz gráfica de usuario 6.4.2 Exportar una vista 6.4.3 Secuencias de comandos 6.4.4 Enlaces 6.5 El banco de trabajo de la imagen 6.6 El proyecto de banco de trabajo 6.6.1 Tutorial 6.6.2 Inicio rápido 6.6.3 Importación y exportación 6.6.4 herramientas de Redacción 6.6.5 Los objetos de dibujo 6.6.6 Modificación de objetos 6.6.7 Los comportamientos más habituales 6.6.8 API 7 secuencias de comandos y macros 7.1 Macros 7.1.1 ¿Cómo funciona? 7.1.2 Ejemplo

7.1.3 Personalización 7.1.4 Creación de macros sin grabar 7.1.5 Macros repositorio 7.2 Introducción a Python 7.2.1 El intérprete 7.2.2 Variables 7.2.3 Números 7.2.4 Listas 7.2.5 Sangría 7.2.6 Funciones 7.2.7 Módulos 7.2.8 A partir de FreeCAD 7.3 Python scripting en FreeCAD 7.3.1 El intérprete Python 7.3.2 Ayuda 7.4 integrado en los módulos 7.4.1 La aplicación y los objetos Gui 7.4.2 El Documento de objetos 7.4.3 Introducción 7.4.4 Creación y carga 7.4.5 Modelado 7.4.6 El examen y comprobación 7.4.7 Escribir sus propios algoritmos 7.4.8 Exportación 7.4.9 Gui cosas relacionadas 7.4.10 Las probabilidades y termina 7.5 Introducción 7.5.1 Diagrama de clase 7.5.2 Geometría 7.5.3 Topología 7.6 Creación de tipos básicos 7.6.1 Breve descripción 7.6.2 Las explicaciones detalladas 7.6.2.1 ¿Cómo crear un vértice? 7.6.2.2 ¿Cómo crear un borde? 7.6.2.3 ¿Cómo crear un hilo? 7.6.2.4 Cómo crear una cara? 7.6.2.5 ¿Cómo crear un círculo? 7.6.2.6 ¿Cómo crear un arco a lo largo de los puntos? 7.6.2.7 ¿Cómo crear un polígono o una línea a lo largo de los puntos? 7.6.2.8 ¿Cómo crear un avión? 7.6.2.9 Cómo crear una elipse? 7.6.2.10 ¿Cómo crear un toro? 7.6.2.11 ¿Cómo hacer una caja o paralelepípedo? 7.6.2.12 ¿Cómo hacer una esfera? 7.6.2.13 ¿Cómo hacer un cilindro? 7.6.2.14 ¿Cómo hacer un cono? 7.6.3 Operaciones booleanas 7.6.3.1 Cómo cortar una forma de otros? 7.6.3.2 Cómo llegar común entre dos formas? 7.6.3.3 Cómo fusionar dos formas?

7.6.3.4 Cómo sección de un sólido con una forma determinada? 7.7 Exploración de las formas 7.7.1 Los bordes Explorando 7.8 Uso de la selección 7.9 Ejemplos 7.9.1 Creación de topología simple 7.9.1.1 Creación de Geometría 7.9.1.2 Arco 7.9.1.3 Línea 7.9.1.4 Todo junto 7.9.1.5 Hacer un prisma 7.9.2 La OCC botella 7.9.2.1 La secuencia de comandos completa 7.9.2.2 Explicación detallada 7.10 Cargar y Guardar 7.11 La conversión de objetos en la parte A mallas 7.12 Conversión de mallas en las que los objetos de pieza 7.13 El acceso y la modificación del Scenegraph 7.14 Utilización de los mecanismos de devolución de llamada 7.15 Documentación 7.16 Ejemplo básico 7.17 propiedades disponibles 7.18 Otro ejemplo más complejo 7.19 Realización de objetos seleccionables 7.20 Trabajar con formas simples 7.20.1 Uso de FreeCAD sin interfaz gráfica de usuario 7.20.2 Uso de FreeCAD con interfaz gráfica de usuario 7.20.3 Un típico archivo InitGui.py 7.20.4 Un archivo de módulo típico 7.20.5 Importar un nuevo tipo de archivo 7.20.6 Añadir una línea de 7.20.7 Añadir un polígono 7.20.8 Añadir y eliminar un objeto a un grupo 7.20.9 Añadir una malla 7.20.10 Cómo añadir un arco o un círculo 7.20.11 El acceso y la representación cambio de un objeto 7.20.12 Observando los eventos del ratón en el visor 3D a través de Python 7.20.13 Manipular el Scenegraph en Python 7.20.14 Cómo agregar y eliminar objetos desde / hasta el Scenegraph 7.20.15 Cómo añadir widgets personalizados a la interfaz 7.21 El script principal 7.22 Explicación detallada 7.23 Pruebas y Uso de la secuencia de comandos 7.24 El registro de la secuencia de comandos en la interfaz de FreeCAD 7.25 ¿Quieres más? 7.26 El diseño del cuadro de diálogo 7.27 Conversión de nuestro diálogo con python 7.28 Hacer que nuestro diálogo hacer algo 7.29 El guión completo 8 Desarrollo de aplicaciones para FreeCAD 8.1 Declaración del conservador

8.2 Los certificados usados 8.3 Impacto de las licencias 8.3.1 Los usuarios privados 8.3.2 Profesional usuarios 8.3.3 desarrolladores de fuente abierta 8.3.4 Los desarrolladores profesionales 8.4 Información errores 8.5 Solicitud de características 8.6 Envío de parches 8.7 El "viejo" tracker SourceForge (obsoleto) 8.7.1 ¿Dónde encontrar? 8.7.2 Cuándo usar? 8.7.3 Errores 8.7.4 Solicitudes de prestación 8.7.5 Las solicitudes de apoyo 8.7.6 Parches Nueva 8.7.7 Requisitos 8.7.8 Edificio de cAsegúrese 8.7.8.1 El cambio a cAsegúrese 8.7.8.2 Configurar el proceso de generación 8.7.8.3 Opciones para el Proceso de Construcción 8.7.8.4 construir la línea de comandos Construcción de las versiones anteriores 8.7.9 8.7.9.1 Utilización LibPack 8.7.9.1.1 directorio de instalación en Visual Studio 8.7.9.1.1.1 Incluye 8.7.9.1.1.2 Librerias 8.7.9.1.1.3 ejecutables 8.7.9.1.2 Python necesarios VC8 8.7.9.1.3 especiales para 8.7.9.2 Compilación 8.7.9.3 Después de compilar 8.7.9.4 cosas adicionales 8.7.10 Obtención de la fuente 8.7.11 Requisitos previos 8.7.11.1 de Debian / Ubuntu y distribuciones más recientes 8.7.11.2 Fedora 8.7.11.3 y no la distribución convencional de edad 8.7.11.4 OpenCascade 8.7.11.5 SoQt 8.7.11.6 Pivy 8.7.12 Recopilar FreeCAD 8.7.12.1 El autotools manera 8.7.12.2 El cAsegúrese manera 8.7.12.3 Piezas opcionales 8.7.13 Solución de problemas 8.7.13.1 Nota para sistemas de 64 bits 8.7.13.2 Automake macros 8.7.14 Hacer un paquete debian 8.7.15 automática de scripts de creación 8.7.15.1 Ubuntu 9.10 - Karmic Koala / Ubuntu 10.04 LTS - Lucid Lynx

5 de Debian Squeeze 8.2 Créditos 8.24.7.6 SoQt 8.8.2.12.Jaunty Jackalope 8.5.8 GTS 8.04 .7.3 Tortoise SVN 8.4 Coin3D 8.15.1 usuario información relacionada 8.24.24 Detalles 8.1.24.7.7.8.9.7.1.10 Ejecución de FreeCAD sin la interfaz de usuario 8.2 argumentos de la línea de comandos 8.24.1 FreeCADLibs7.9.1 Plataforma de herramientas independend 8.24.7.7.7.2.7.1.24.3 Herramientas en Linux 8.23 Enlaces 8.1 Python 8.7.12.25.5 ODE (dinámico del motor abierto) 8.2 CamStudio 8.18 Instale y Marcos OpenCascade 8.8.app 8.2.7.8.1 Créditos 8.24.2 8.7.1 8.7.4 El Gimp 8.3 Opciones ocultas 8.7.1.7.7.8.8.8.9.24.9 A partir FreeCAD desde la línea de comandos 8.10 alza 8.9 Zlib 8.22 Información general 8.x Changelog 8.3 OpenSuse 11.15.11 Ejecución de FreeCAD como un módulo de python 8.2.7.12.7.7 Xerces-C + + 8.15.7.15.7.24.24.1.2 Respuesta y archivos de configuración 8.7.24.20 Compilar 8.2 OpenCascade 8.19 Descarga 'instalar' la plantilla FreeCAD.1 Descripción 8.16 Descargar las fuentes FreeCAD 8.7.12 El conjunto de configuración 8.8.4 Construir relacionados con la información .2 Ubuntu 9.1.7.2 InkScape 8.7.3 Sistema relacionados 8.1 Qt Toolkit 8.1 Opciones de la línea 8.1 Visual Studio Express 8 8.8.8.4 StarUML 8.4 OpenSuse 11.24.3 Doxygen 8.3 Qt 8.17 Instalar MacPorts y dependencias Biblioteca 8.24.7.7.7.2 Herramientas en Windows 8.8 Herramienta de la página 8.12.7.25 LibPack 8.8.8.21 Ejecutar 8.

17.1.21.1.2.1 Instalación 8.18.21.1 Iconos 8.2 Otras distribuciones de linux 8.21 Pivy 8.16.18 Preparación de sus propios módulos y aplicaciones para la traducción 8.21. la dirección de los tres últimos especialmente los tres grandes categorías de usuarios de FreeCAD: usuarios finales.7 NextBuildNumber 8.3 DistSetup 8.5 DistAll 8.14 Prueba de primera 8.13.2 Traducción con Qt-Lingüista (camino viejo) 8.3 Documentación 9 Créditos 9.6 BuildDoc 8.2.16.20 PyQt4 8. que simplemente quieren Cómo utilizar .21.15 de línea de comandos 8.18.21.16.2 desarrolladores 9.17 Ayudar a traducir FreeCAD 8.1 Cómo traducir 8.2 Proyecto de instalación 8.5 Marcas relacionadas 8.2 imágenes 8. uso de secuencias de comandos y el desarrollo.1 para Desarrolladores 9.8 CreateModule 8.12.13.2 Uso 8.18.1 traducción de archivos disponibles 8.1.19.3 Documentación 8.4 DistSetup 8.1 Page Convención de nomenclatura 8.13.1 General 8.2 imagen de fondo 8.20.2 DistBin 8.1 Instalación 8.13.1 Requisitos previos 8.1.2.21.17.13.17.1 DistSrc 8.1 desarrollador de plomo 9.1 Debian y Ubuntu 8.20.13.1.2 Empresas BIENVENIDO A FREECAD Este documento se divide en varias secciones: introducción.8.20.2 Uso 8.19 La traducción del wiki 8.13.3 Windows 8.16 Introducción 8.3 Configuración de los archivos de Python para la traducción 8.16.13.13 Uso Número 8.

FreeCAD va destinado directamente a la ingeniería mecánica y diseño de productos . y los desarrolladores. FreeCAD cuenta con herramientas similares a Catia . . Como ocurre con muchos modernos 3D CAD y modeladores que tendrá un componente 2D para extraer los detalles del diseño del modelo 3D para crear dibujos en 2D de producción. los usuarios de energía. INTRODUCCIÓN FreeCAD es un propósito general 3D CAD modelador. pero también encaja en una gama más amplia de aplicaciones en la ingeniería. El desarrollo es completamente de código abierto (GPL y LGPL licencia). gracias a su amplia adaptabilidad. sin modificar el núcleo del sistema. PLM . pero el dibujo 2D directa (como AutoCAD LT ) no es el foco. aunque. y por lo tanto también cae en la categoría de MCAD . 3ds Max o Cinema 4D ). SolidWorks y Solid Edge . no son orgánicos o formas de animación ( como Maya . que se interesan por las capacidades de scripting de FreeCAD y me gustaría personalizar algunos de sus aspectos.usar el programa. CAx y CAE . Será una película basada modelador paramétrico con una arquitectura de software modular que hace fácil para proporcionar funcionalidad adicional. que consideran FreeCAD como base para desarrollar sus propias aplicaciones. tales como la arquitectura o la ingeniería de otras especialidades. FreeCAD podría ser útil en una amplia área mucho más que su enfoque actual.

Coin3D . con el mismo aspecto y funcionalidad en todas las plataformas. la famosa interfaz de usuario marco del mundo. Si desea buscar en el futuro ver la hoja de ruta para el Desarrollo de una visión general rápida de la Imagen es un buen lugar para ir. FreeCAD misma también se puede utilizar como una biblioteca por otros programas. Entre ellos se encuentran OpenCascade . no completa. Características generales Base de la aplicación . por lo tanto. y actualmente se ejecuta sin problemas en Windows y Linux / Unix y Mac OS X sistemas. FreeCAD está totalmente multiplataforma . una encarnación de OpenInventor .Otra de las principales preocupaciones de FreeCAD es hacer un uso intensivo de todos los de código abierto grandes bibliotecas que existen por ahí en el campo de la computación científica . un poderoso núcleo de CAD. y Python . Qt . uno de los mejores lenguajes de scripting disponibles. de características FreeCAD implementa. Esta es una lista extensa.

FreeCAD se divide en una aplicación de base y los módulos. El intérprete puede ejecutar comandos individuales hasta las secuencias de comandos complejas. la parte de interfaz de FreeCAD no está disponible. Los módulos se comportan como plugins. la interfaz. permitiendo rápido renderizado de escenas 3D y una representación gráfica de la escena muy accesible. FreeCAD también se ejecuta como una aplicación de línea de comandos. con un visor 3D basado en Open Inventor . pero con todas las herramientas de la geometría. Al igual que en modo consola. pero todas las herramientas de la geometría son accesibles. con la huella de memoria baja.FreeCAD es multi-plataforma: Se ejecuta y se comporta exactamente de la misma manera en Windows. Casi todas las herramientas y tipos de geometría se almacenan en módulos. los módulos de todo. FreeCAD se pueden importar como un módulo de Python . Plugin / marco del módulo para la carga tardía de características y tipos de datos. Un instalador MSI modular permite instalaciones flexibles en los sistemas Windows Los paquetes para los sistemas de Ubuntu también se mantienen. Linux y Mac OSX. Puede ser. y una API que cubre casi cualquier parte de la aplicación. Estructura de documento: . o en una consola de python. la geometría y la representación de esta geometría en el visor 3D. In command line mode. por ejemplo. Construido en secuencias de comandos marco: FreeCAD incorpora un en Python intérprete. incluso se puede programar completamente en Python. de hecho. y pueden incluir o eliminar una instalación existente de FreeCAD. dentro de otras aplicaciones que pueden ejecutar scripts de Python. que se cargan sólo cuando es necesario. FreeCAD se ejecuta sin su interfaz. utiliza como servidor de producir contenidos para otras aplicaciones. FreeCAD cuenta con una completa interfaz gráfica de usuario basada en el famoso Qt marco. FreeCAD es una completa aplicación con interfaz gráfica.

INTERFAZ DE USUARIO • • • • • Totalmente personalizable / scripts interfaz gráfica de usuario. tales como crear. con acceso a la pila de deshacer. Concepto de banco de trabajo: En la interfaz de FreeCAD. Asociativas documento objetos paramétricos: Todos los objetos en un documento FreeCAD puede ser definido por los parámetros. y vuelven a calcular en cualquier momento. varios pasos por lo que puede ser deshecho a la vez. tales como la geometría. el marco de Qt está adaptado demasiado. de acoplamiento. explorar el contenido de los módulos y fácil aprender sobre FreeCAD internos. y la aplicación de la carga. Además de las funciones simples que FreeCAD se dota a los bancos de trabajo. 2. macro de grabación y edición completa: La pitón órdenes emitidas cuando el usuario manipula la interfaz puede ser grabado. por lo que la modificación de un objeto también modifica sus objetos dependientes. permitiendo que cada herramienta para definir exactamente lo que hay que deshacer o rehacer. permitiendo que cualquier operación en la interfaz gráfica de usuario. Deshacer / Rehacer marco: Todo es deshacer / rehacer. y la clase explorador autocompletar: comandos de Python pueden ser introducidas directamente en FreeCAD y devolvió de inmediato los resultados. manteniendo el espacio de trabajo despejado y rápida respuesta. El Qt basado en la interfaz de FreeCAD es totalmente accesible a través del intérprete de Python. Extensión puede contener diversos tipos de información. modificar o eliminar widgets y barras de herramientas. lo que permite guionistas para probar la funcionalidad sobre la marcha. si es necesario. editado. La relación entre los objetos también se almacena. las herramientas se agrupan por mesas de trabajo . Gestión de transacciones: La deshacer / rehacer pila documento transacciones tiendas y no las acciones individuales. Incorporado en la consola de Python con resaltado de sintaxis. Los parámetros se pueden modificar sobre la marcha.1. que se puede imprimir en la consola y se registran en las macros. . Esto permite mostrar sólo las herramientas utilizadas para llevar a cabo una tarea determinada. y salvo que se reproduce más adelante. (ZIP base) del documento compuesto guardar formato: FreeCAD documentos guardados con iconos fcstd. reflejo de la interacción del usuario en la consola: Todo lo que el usuario hace en la interfaz de FreeCAD ejecuta código python. 3. agregar. las secuencias de comandos o en miniatura. 4.

• Thumbnailer (los sistemas Linux solamente en el momento): Los iconos de documento FreeCAD mostrar el contenido del archivo en la mayoría de las aplicaciones de administrador de archivos. cilindro. Características específicas de la aplicación La funcionalidad de FreeCAD está separado en módulos. *. el formato OBJ (*. se cruzan) La importación de los siguientes formatos: ASCII o binario STL (litografía formato estéreo) (*. nas). BMS) La exportación de los siguientes formatos: ASCII o binario STL (Stereo formato litografía) (*. y la exportación de la geometría FreeCAD en formato de malla. . limitada NASTRAN apoyo (*. obj). cortar. obj). desplazamiento (triviales o después de Jung / Shin / Choi) o las operaciones booleanas (añadir. limitada NASTRAN apoyo (*. etc). La creación de primitivas (caja. *. Pero FreeCAD mismo también cuenta con muchos tipos de geometría más avanzada que las mallas. ). la curación y la conversión de la geometría de malla de terceros generados en FreeCAD. stl. y nativo del kernel de malla FreeCAD (*. stl. Open Inventor mallas (iv *. cada uno tratando con tipos de datos y aplicaciones especiales: MALLAS • • • • El acoplamiento del módulo se refiere a mallas 3D. como los nautilus de gnome. Es esta destinada principalmente para la importación. ast). el formato OBJ (*. esfera. ast).

VRML mallas ( *. svg). la esfera. *. rectángulos. wrl). modificación de las operaciones gráficas como la traducción. Paramétrico formas primitivas como la caja. cables. rotación. BRL). espejo. dxf). El módulo de la parte trabaja con alto nivel Abrir CASCADE geometría. . Anotaciones como los textos o las dimensiones . BMS). 2D DE REDACCIÓN • • • Gráfica de la creación de la geometría plana simples como líneas. oca. de malla como módulo de Python (*. compensar o la forma de conversión. escalado. La funcionalidad CAD está en fuerte desarrollo (véase el PartDesign_project y Assembly_project en el Development_roadmap ). nativa del núcleo de malla FreeCAD (*. intersección de autocomprobación. el cono del cilindro o un toro. orificio de llenado y la orientación uniforme. arcos o círculos en cualquier plano del espacio 3D. • CAD • • La pieza del módulo se ocupa de todo alrededor de modelado CAD y las estructuras de datos CAD.• • nas. y dos colectores de ensayo que no. *. Amplia Python API de scripting . py) Prueba y reparación de herramientas para mallas: prueba de sólidos. gcad) e SVG (*. en cualquier plano del espacio 3D. Open Cad Formato (*. Importación y exportación de los siguientes formatos: Autodesk Dibujo Exchange Format (*.

El módulo permite actualmente la creación de una hoja de representación. igs. Permite la creación de una hoja en 2D con una plantilla de svg existentes. las secciones y los filetes. paso). diferencia e intersección. En la actualidad. y la geometría de la adición a esa hoja de representación para exportar a un archivo de POVRay. la hoja se pueden guardar como un archivo SVG. Amplia Python API de scripting . Importación y exportación de los siguientes formatos: PASO piezas y ensamblajes (*. y la inserción de puntos de vista de la geometría proyectada en esa hoja. IGES modelos (*. Esta página describe el uso y las características del instalador de Microsoft para conocer las opciones de instalación más. bordes. como la molienda. y BREP (*. cables y aviones (a través de secuencias de comandos de Python). Modelado con rectas o protuberancias de la revolución. BRP). INSTALACIÓN Instalar en Windows La forma más fácil de instalar FreeCAD en Windows es utilizar el instalador. Dibujo • El módulo de dibujo permite exportar vistas proyectado de la geometría 3D a un documento SVG 2D. Aunque hay algunos algoritmos de planificación trayectorias que no son utilizables para el usuario final en el momento. el formato nativo de nuestro Abrir CASCADE núcleo CAD . el motor de render compatible sólo es POV-Ray . A continuación. RAYTRACING • El módulo de trazado de rayos permite la exportación de la geometría FreeCAD a renderizadores externos para la generación de imágenes de alta calidad. operaciones booleanas como unión. IGES). Este módulo se encuentra en el principio y en el momento en su mayoría dedicados a la hoja que forma incremental . *. *. stp. Instalación sencilla .• • • • • Topológica componentes como vértices. CAM • El módulo CAM se dedica a trabajar a máquina mecánica.

Instalación de la línea de comandos Con la utilidad de línea de comandos msiexec. como no-instalación interactiva y la instalación administrativa. pero muestran "Completado" diálogo al final • • Objetivo de la guía El TARGETDIR propiedad determina el directorio raíz de la instalación FreeCAD. -Instalación interactiva para no Con la línea de comandos msiexec / i FreeCAD <versión>.Me gusta / qb. como msiexec / i FreeCAD-2.Al igual que / qb.exe. Los parámetros adicionales se pueden pasar al final de esta línea de comandos.msi TARGETDIR = r: \ FreeCAD25 Limitada interfaz de usuario El importe de la interfaz de usuario que el instalador muestra se puede controlar con / q opciones. haga doble clic sobre él para iniciar el proceso de instalación.Interfaz básica . pero ocultar el botón Cancelar / Qr . Puede descargar la última versión.No interfaz / Qb .mostrar todos los cuadros de diálogo que no requieren la interacción del usuario (saltar todos los cuadros de diálogo modales) / Qn + . las características adicionales están disponibles. Después de descargar el archivo.Instalador FreeCAD se entrega en. MSI (Windows Installer) en formato. Msi de la FreeCAD página de descarga oficial .Me gusta / qn. un disco de instalación diferente se puede especificar con TARGETDIR = R: \ FreeCAD25 .5. pero muestran "Completado" diálogo al final / Qb + .sólo un pequeño diálogo de progreso / Qb! .Reducción de la interfaz . en particular: • • • • / Qn . msi Instalación se puede iniciar mediante programación. Por ejemplo.

De forma predeterminada.instalar la documentación El código fuente . El conjunto de características para el programa de instalación es FreeCAD • • • • Default Feature .lista de características para ser retirados ADDDEFAULT . Selección de características Un número de propiedades permiten la selección de características para ser instalado. Las características siguientes propiedades de control para instalar o desinstalar • • • • • ADDLOCAL .instalar las fuentes Cosas por hacer Además. y la instalación interactiva ofrece un cuadro de diálogo que por defecto es "todos los usuarios" si el usuario es lo suficientemente privilegiada. TODOS especifica todas las características.instalar el software adecuado. Todas las funciones dependen de DefaultFeature.lista de características para el que se realizará una instalación de publicidad . Instalación para todos los usuarios Agregar ALLUSERS = 1 Causa de una instalación a todos los usuarios.lista de características para volver a instalar / reparar PUBLICIDAD .lista de funciones adicionales en su configuración por defecto (que es local para todas las características FreeCAD) REINSTALL . además de las bibliotecas del núcleo Documentación .El TARGETDIR predeterminado es [WindowsVolume \ Programm Files \] FreeCAD <versión>.lista de características para ser instalado en el equipo local REMOVER . la instalación no interactiva instalar el paquete sólo para el usuario actual. reinstalado o eliminadas. por lo que la instalación de cualquier característica instala automáticamente la función de default.

Los archivos se desempaquetado en el directorio de destino (que debe ser un directorio de red). por lo que el directorio de destino se debe pasar la línea de comandos. pero sin otra modificación que se haga en el sistema local. No hay ninguna específica procedimiento de desinstalación de una administrativa de instalación . que los clientes pueden entonces utilizar para realizar una instalación local (las versiones futuras pueden ofrecer también para mantener algunas de las características de la unidad de red en total). . otro archivo (más pequeño) msi se genera en el directorio de destino.simplemente borre el directorio de destino si no hay cliente que usa más.Hay algunas características adicionales disponibles. el paquete o código de producto también puede ser especificado. Usted puede encontrar el código de producto al observar las propiedades del acceso directo Desinstalar FreeCAD que se instala en el menú de inicio. Además. Instalación administrativa Con msiexec / a FreeCAD <versión>. consulte la documentación de MSDN para obtener más detalles. añadiendo ADDLOCAL = Extensiones Instala el propio intérprete y los registros de las extensiones. Desinstalación Con msiexec / x FreeCAD <versión>. msi FreeCAD se puede desinstalar. pero no instalar nada más. No es necesario contar con el archivo MSI disponibles para la desinstalación. Actualmente. Con estas opciones. como alternativa. no existe ninguna interfaz de usuario para las instalaciones administrativas. msi Un "administrativo" (red) de instalación se puede iniciar.

Abra el complemento MMC de "usuarios de Active Directory y equipos" Navegue hasta el grupo de equipos que necesitan FreeCAD Abra Propiedades Abrir directivas de grupo Añadir una nueva política. Instalación automática de un grupo de máquinas Con la directiva de grupo de Windows. El instalador FreeCAD actualmente soporta sólo el anuncio de las entradas del menú de inicio. Instalación en Linux usando Crossover Office Puede instalar la versión para Windows de FreeCAD en un sistema Linux utilizando CXOffice 5. es posible instalar automáticamente FreeCAD un grupo de una de las máquinas.1. El primer uso de una característica haría que cuentan para su instalación. todos los equipos debe ser reiniciado.0. pero no hay anuncio de accesos directos. seleccione Nuevo / Paquete Seleccione el archivo MSI a través de la ruta de red Opcionalmente. seleccione la que desea la FreeCAD ser desinstalado si el equipo sale del ámbito de aplicación de la política. suponiendo que el paquete de instalación se coloca en el "software" de la guía que se asigna a la unidad de letra "Y": msiexec / i Y: \ \ software \ \ FreeCAD <versión> msi. Ejecutar msiexec de la línea de comandos CXOffice. sin el software en realidad se está instalando.para implementar el paquete de forma fiable. La propagación del Grupo de política general. a "anunciar" FreeCAD a una máquina (con / ju a un usuario). y editarlo En Configuración del equipo / Instalación de software. Para ello. en principio. y las extensiones para ser registrada. siga estos pasos: • • • • • • • • • • Inicie sesión en el controlador de dominio Copie el archivo MSI en una carpeta que se comparte con acceso permitido a todos los equipos de destino. msi Sería posible. toma algún tiempo . . Esto haría que los iconos que aparecen en el menú de inicio.Publicidad Con msiexec / jm FreeCAD <versión>.

Instalación en Mac FreeCAD se puede instalar en Mac OS X en un solo paso utilizando el instalador. Google SketchUp . Instalación en otros sistemas Linux / Unix Unfortnately. Alternativamente se puede instalar también de la terminal. Instalación en sistemas Debian / Ubuntu Una vez descargado el. un icono de inicio se agregó en la "gráfica" de su Menú de Inicio. si usted tiene la gdebi paquete instalado (normalmente lo es). Esta página describe el uso y características de la instalación FreeCAD. Instalación en Unix / Linux Por el momento. y: sudo dpkg-i Name_of_your_FreeCAD_package. eche un vistazo a la descarga página para ver lo que está actualmente availible. y haga doble clic en él. ningún paquete precompilado es availible para otros sistemas Linux / Unix. Instalación sencilla El instalador FreeCAD se ofrece como un paquete de Installer (.FreeCAD se está ejecutando. También incluye las instrucciones de desinstalación.deb por el nombre del archivo descargado. navegar hasta donde hemos descargado el archivo. por el momento. Deb correspondiente a su versión del sistema. pero se ha informado de que la pantalla OpenGL no funciona. Por favor. pero algunos miembros de la comunidad FreeCAD usuarios también proporciona a los instaladores de encargo para otras versiones de Linux.deb Cambiando Name_of_your_FreeCAD_package. el equipo FreeCAD sólo proporciona a los instaladores de sistemas de 32 bits de Debian y Ubuntu. Mpkg) incluido en un archivo de imagen de disco. . sólo tiene que desplazarse a donde ha descargado el archivo. Las dependencias necesarias serán atendidos de forma automática por el gestor de paquetes del sistema de tipos. por lo que tendrá que compilar FreeCAD mismo . al igual que con otros PROGRAMAS ejecuta en vino es decir. Después de instalar FreeCAD.

Si usted sabe que usted ya tiene alguno de estos paquetes. desde el terminal. Después de descargar el archivo. a continuación.framework Inventor. Si no está seguro. se puede anular la selección utilizando las casillas de verificación. Desinstalación En este momento no es un desinstalador de FreeCAD. deje todos los elementos seleccionados.Puede descargar la última instalación de la descarga la página.framework Entonces. ejecutar el FreeCAD paquete de instalación.py sudo rm-R / usr / local / lib / OCC sudo rm-R / usr / local / include / OCC . Para eliminar completamente FreeCAD y todos los componentes instalados. ejecute: sudo / Developer / Herramientas / desinstalar-qt. simplemente montar la imagen de disco. El instalador le presentará una pantalla de instalación Personalizar que se muestran los paquetes que serán instalados. arrastre los siguientes archivos y carpetas a la Papelera: • • • • • En / Aplicaciones: FreeCAD en / Library / Frameworks / SoQt.

Pero. Todavía está en fase inicial de desarrollo. pero no la interfaz de usuario mucho se ha creado para él. Instalación CD En primer lugar (si no se hace ya) descargar e instalar FreeCAD. Ubuntu y Debian (. . FreeCAD es una aplicación de modelado 3D en general para todo uso. Deb) openSUSE (. se espera que esto cambie pronto. Msi). sea paciente. que ya será capaz de producir y modificar la geometría compleja con relativa facilidad. Rpm) y Mac OSX. Véase la descarga página para obtener información acerca de las versiones y actualizaciones. probablemente encontrará que FreeCAD todavía tiene pocos para ofrecer a usted. mucha funcionalidad ya está presente. Hay paquetes listos para instalar Windows (. le invitamos a descargarlo y darle una oportunidad. FreeCAD estará disponible como un paquete de aplicaciones de auto-contenida para toda esta molestia desaparece.Eso es todo. centrado en la ingeniería mecánica y otras áreas relacionadas. Finalmente. tales como otras especialidades de la ingeniería o la arquitectura. así que no espere ser capaz de utilizarlo para producir un trabajo ya. Esto significa que si usted sabe un poco de python. Explorando FreeCAD La interfaz FreeCAD al iniciarlo por primera vez. Se concibe como una plataforma para el desarrollo de cualquier tipo de aplicación 3D. Por el momento. Si no. Prefacio FreeCAD es un sistema CAD / CAE de aplicaciones de modelado paramétrico. si eres curioso acerca de lo que FreeCAD Aspecto del producto y las características que se están desarrollando. Pero.

este banco de trabajo es muy útil para descubrir FreeCAD con mayor facilidad. Desde FreeCAD es bastante joven y aún no se utilizan para el trabajo muy especializado. su interfaz se divide en una serie de bancos de trabajo . con CTRL presionado si desea seleccionar varios objetos.sino también para realizar tareas muy específicas. con una barra de menús. Esta mesa de trabajo. 2. etc) disponibles en el menú Ver y en la barra de herramientas Vista. que se pueden establecer en la configuración de diálogo de preferencias. y la rotación con el botón izquierdo del ratón y el ratón Medio botón al mismo tiempo. se le presentará un "general" banco de trabajo. En el modo por defecto. y por atajos numéricos (1. la panorámica con el botón central del ratón. que llamamos "banco de trabajo completo".) 2D de Redacción Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas. o un grupo de tareas. Básicamente. Selección de un objeto se hace simplemente haciendo clic sobre ella con el botón izquierdo del ratón. La interfaz FreeCAD por lo tanto se puede describir como un contenedor muy simple. simplemente recoge las herramientas más madura de otros bancos de trabajo. Al iniciar FreeCAD por primera vez. plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos. . Navegando en el espacio 3D FreeCAD tiene dos diferentes modos de navegación disponibles. También tiene varios presets vista (vista superior. etc . un área de visualización 3D. Todos los contenidos de estos paneles puede haber cambios en función de la mesa de trabajo. todas las herramientas que son lo suficientemente buenas para la producción de la geometría está aquí. vista frontal. el zoom se realiza con la rueda del ratón. A tal efecto.. y un par de paneles laterales para la visualización de los contenidos escena o propiedades de los objetos. Bancos de trabajo permiten cambiar el contenido de interfaz para mostrar todos y sólo las herramientas necesarias para una tarea específica.

radio. se le invitará a seleccionar una.De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro. Trabajan en los objetos seleccionados. ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes. pero si no hay ningún objeto seleccionado. Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base .

especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes. Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo). Que le permitirá elegir el objeto a modificar. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje .Editar : edita un objeto seleccionado La creación de piezas en 3D Primitivos Estas son herramientas para la creación de objetos primitivos.

. por último. Exportar a dibujos 2D Estas son las herramientas para crear. configurar y exportación de hojas de dibujo 2D Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG Exportar a renderizadores externos Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara.Sección : Crea una sección por la intersección de un objeto con un plano de sección. que proporcionan un método sencillo para crear comandos personalizados. crear o modificar la geometría. Desde la pitón consola integrada (o de cualquier secuencia de comandos Python externo). etc) a la POV-Ray proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Secuencias de comandos Y. modificar la representación de los objetos en la escena 3D o acceder y modificar la interfaz FreeCAD. una de las características más potentes de FreeCAD es la secuencia de comandos medio ambiente. puede acceder a casi cualquier parte del FreeCAD. secuencias de comandos de Python también pueden ser utilizados en las macros .

Zoom: Utilice la teclas + o . Esto funciona como hacer girar una pelota que gira alrededor de su centro. Gire: Primero haga clic con el botón central del ratón. Seleccione • • • • Pulse el botón izquierdo del ratón sobre un objeto que desea seleccionar. También hay una preselección mecanismo que pone de relieve los objetos y muestra información acerca de ellos antes de la selección con sólo pasar el mouse sobre él. el objeto sigue girando . Si se suelta el botón antes de dejar su petición.o la rueda del ratón para acercar y alejar Pan: Haga clic en el botón central del ratón y mover el objeto. puede cambiar de preselección en las preferencias. Los gestos del ratón siguientes se pueden utilizar para controlar la posición del objeto y el punto de vista. Manipulación de objetos La manipulación de objetos es común a todos los bancos de trabajo. si esta opción está activada . Si no le gusta que la conducta o si tiene una máquina lenta. Selección de objetos Los objetos se pueden seleccionar con un clic con el botón izquierdo del ratón o haciendo clic en el objeto en la vista 3D o mediante la selección en la vista de árbol.FreeCAD De navegación en 3D El modelo de ratón de FreeCAD es muy flexible e intuitiva y con algunas pistas se puede utilizar después de sólo un minuto de la práctica. mantenga y haga clic en el botón izquierdo del ratón en cualquier parte visible de un objeto y arrastrarlo en la dirección deseada.

El documento FreeCAD Un documento FreeCAD contiene todos los objetos de la escena. haga clic con el botón izquierdo del ratón sobre los manipuladores recuadro al final de los ejes y tire de ellos hacia atrás y adelante. Escala Para escalar el objeto. El documento es lo que se guarda en el disco al guardar su trabajo. Hay otros cuatro que no son tan obvios: el propio avión y la parte fina de los tres objetos eje. También puede abrir . Puede contener grupos y objetos elaborados con cualquier banco de trabajo. tire de la caja larga en el centro de un eje con el botón izquierdo del ratón. Rotación Al hacer clic en la parte final de los ejes del manipulador pone en modo de rotación. Por lo tanto. puede cambiar entre los bancos de trabajo. Después de la activación del objeto plano de corte aparece y muestra siete manipuladores obvio como cajitas: Uno en cada extremo de sus tres ejes de coordenadas y otra en el centro del plano eje normal. haga clic en el objeto de avión y tire de él hasta la posición deseada. Para el plano de corte no es sólo un manipulador a lo largo del vector normal. y siguen trabajando en el mismo documento.• Centro de Marco de la rotación: Un doble clic con el botón central del ratón en cualquier parte de un objeto establece el nuevo centro de rotación y zoom sobre este punto. Fuera del plano de desplazamiento Para cambiar el objeto a lo largo de su vector normal. Manipulación de objetos FreeCAD ofrece manipuladores que se pueden utilizar para modificar un objeto o su aspecto visual. En el plano de cambio Para mover el centro del plano de recorte. Un ejemplo sencillo es el plano de corte que se puede activar con el menú Ver → Plano de recorte. Dependiendo del objeto a los manipuladores trabajar independientemente o de forma sincrónica.

Crear nuevos puntos de vista u opiniones cerca se puede hacer desde el menú Ver o haciendo clic derecho en una ficha de vista.varios documentos al mismo tiempo en FreeCAD. para que pueda inspeccionar el documento desde varios puntos de vista al mismo tiempo. tendrá dos vistas del mismo documento. Un documento puede tener varias vistas abiertas. se pueden crear grupos. que contiene los objetos. donde los objetos se definen. Sus parámetros constructivos (es un cubo? Un cono? Qué tamaño?) Se almacenan en el documento de solicitud. los objetos se pueden mover en grupos. el banco de trabajo de malla crea objetos de malla. eliminar objetos o grupos. por supuesto. Esto también es válido para los documentos. . incluso si no se dibuja en la pantalla. etc Si hay al menos un documento abierto en FreeCAD. como todo en FreeCAD. por ejemplo dentro de otros programas. la parte de interfaz de usuario (GUI) se separa de la parte de la aplicación de base (la aplicación). en función de la mesa de trabajo actual. Dentro del documento. los objetos se mueven a los grupos. mientras que su representación gráfica (es dibujado con líneas negro? Con rostros azules?) Se almacenan en el documento Ver. desde el intérprete de Python. Ese es el documento que aparece en la vista 3D actual. Piense en ello como dos espacios. el documento que están trabajando actualmente. En la vista de árbol. Los documentos también están hechas de dos partes: el documento de solicitud. Aplicación y la interfaz de usuario Como casi todo lo demás en FreeCAD. y el documento de Vista. Cada mesa de trabajo puede crear sus propios tipos de objetos. que contiene la representación en pantalla de nuestros objetos. haciendo clic derecho en la vista en árbol o en un objeto. ¿Por qué es eso? Debido a FreeCAD también puede ser utilizado sin interfaz gráfica. Administración de grupos. los objetos de cambiar el nombre haciendo doble clic en sus nombres. y todavía deben ser capaces de manipular nuestros objetos. el Workbench Parte crear objetos de la parte. También se puede hacer. y abrir varias vistas del mismo documento. ambos almacenados en el documento Ver. Tal vez le gustaría ver una vista superior y una vista frontal de su trabajo al mismo tiempo? A continuación. y tener un nombre único. Los objetos dentro de un documento FreeCAD puede ser de diferentes tipos. siempre hay uno y sólo un documento activo. objetos y nombres de objeto que se realiza principalmente desde el punto de vista de árbol. el Proyecto de Workbench también crea objetos de la parte. o posiblemente otras operaciones. por ejemplo. Otra cosa que está contenida en el documento Ver puntos de vista en 3D.

Por ejemplo: FreeCAD.Blob ¿Podría acceder a un objeto llamado "Blob" dentro de su documento? FreeCADGui. Esto incluye la configuración de las preferencias.Secuencias de comandos Los documentos pueden crearse fácilmente.ActiveDocument.ActiveDocument Devolverá el documento vista asociada al documento actual FreeCADGui. que la mesa de trabajo y todos sus componentes se cargan en ese momento. funcionalidad FreeCAD está dividido en diferentes módulos.ActiveView Configuración de las preferencias del usuario El sistema de preferencias de FreeCAD se encuentra en el menú Editar -> Preferencias. acceder y modificar desde el intérprete de Python. cada módulo está encargado de la elaboración de un determinado banco de trabajo .Blob ¿Podría acceder a la representación gráfica (ver) una parte de nuestro objeto Blob? FreeCADGui.ActiveDocument Devolverá el actual (activo) documento FreeCAD. . lo que significa que los componentes se cargan sólo cuando es necesario.ActiveDocument. FreeCAD también utiliza un concepto llamado de carga tarde.ActiveDocument. Usted puede haber notado que cuando se selecciona una mesa de trabajo en la barra de herramientas FreeCAD.

lo que le permite configurar los detalles de cada mesa de trabajo. responsables de la configuración de aplicación general y para la configuración de la pantalla. A medida que la carga de módulos adicionales. usted tendrá acceso a dos secciones de configuración. . nuevas secciones aparecerán en la ventana de preferencias. Sin ningún módulo cargado. se le tendrá entonces una ventana de preferencias mínimo.La configuración de las preferencias generales Al iniciar FreeCAD sin mesa de trabajo abierta.

métodos abreviados de teclado se puede establecer. menús.La configuración de la pantalla FreeCAD está siempre en constante evolución. que tiene un estado-de-la organización de arte. lo que no debería enfrentarse a cualquier dificultad de configurar FreeCAD a sus necesidades. Personalización de la interfaz Desde la interfaz FreeCAD se basa en la moderna Qt toolkit. por lo que el contenido de las pantallas pueden diferir de las capturas de pantalla de arriba. La ventana de personalización se accede desde Herramientas .Personalizar el menú>: . modificar y macros se pueden grabar y reproducir. barras de herramientas y otras herramientas se pueden modificar. Los ajustes son por lo general explica por sí mismo. Widgets. mover. compartida entre los bancos de trabajo.

si lo permite . y si lo desea. Personalizada guión objetos en FreeCAD pueden tener propiedades de los siguientes tipos: • Boolean . En el teclado. que son objetos definidos sólo por sus propiedades.La ficha de comandos le permite ver todos los comandos disponibles FreeCAD.modificado con el editor de propiedades . La caja de herramientas y barras de las barras de herramientas etiquetas permiten modificar las barras de herramientas existentes. puedes ver las combinaciones de teclas asociadas a cada comando FreeCAD. a menudo. La ficha Macros le permite administrar su guarda macros . Aquí es donde puede venir si se utiliza una mesa de trabajo particular. Propiedades juegan un papel muy importante en FreeCAD. modificar o asignar nuevo acceso directo a cualquier comando. Propiedades de los objetos Una propiedad es un pedazo de información como un número o una cadena de texto que se adjunta a un documento FreeCAD o un objeto en un documento. y me gustaría acelerar su uso mediante el teclado. ya que es desde el principio los hizo trabajar con objetos paramétricos. organizados por su categoría. Las propiedades se pueden ver y . o crear sus propias barras de herramientas personalizadas.

el mismo concepto se aplica. Actualmente tenemos disponibles las mesas de trabajo siguientes: Construido en bancos de trabajo El Workbench de malla para trabajar con mallas trianguladas. Un banco de trabajo puede ser considerado como un conjunto de herramientas especialmente agrupados para una determinada tarea.• • • • • • • • • • • • • • • • • • • • • • • • • • • • Flotador FloatList FloatConstraint Ángulo Distancia Entero IntegerConstraint Por ciento Enumeración IntegerList String StringList Enlace LinkList Matriz Vector VectorList Colocación PlacementLink Color Colorlist Material Ruta Archivo FileIncluded PartShape FilletContour Círculo Trabajar con bancos de trabajo FreeCAD. al igual que muchas aplicaciones de diseño moderno. y quizás un tercero para el tipo que se monta todas las piezas juntas. se basa en el concepto de banco de trabajo . En un taller de muebles tradicionales. usted tendría una mesa de trabajo para la persona que trabaja con madera. Las herramientas se agrupan en bancos de trabajo de acuerdo a las tareas que están relacionadas con. como Revit . otra para el que trabaja con piezas de metal. . En FreeCAD.

pero el contenido de la escena no cambia. El Proyecto de Workbench para hacer de base CAD 2D de redacción. compuesto de triángulos conectados por los bordes y las esquinas (vértices también se llama). con bancos de trabajo Bancos de trabajo nuevos en el desarrollo Cuando se cambia de banco de trabajo a otro. El banco de trabajo de dibujo para mostrar su trabajo en 3D en una hoja 2D. seguir trabajando sobre ellos con el Workbench Parte. barras de comandos y eventualmente otras partes del interruptor de interfaz a la mesa de trabajo nuevos. por ejemplo. Podría. Barras de herramientas. Un ejemplo de un objeto de malla .• • • • • • El Workbench parte para trabajar con piezas de CAD. las herramientas disponibles en el cambio de interfaz. empezar a dibujar formas en 2D con el Workbench de Proyecto. Varios bancos de trabajo de pruebas. El banco de trabajo de imagen para trabajar con imágenes de mapa de bits El banco de trabajo trazado de rayos para trabajar con trazado de rayos (rendering). a continuación. Las mallas son un tipo especial de objetos 3D. El acoplamiento de banco de trabajo El banco de trabajo se encarga de malla mallas de triángulos . Usted encontrará en la lista de bancos de trabajo de varios bancos de trabajo para las pruebas de las diferentes áreas y funcionalidades desde FreeCAD se encuentra todavía en una fase temprana de desarrollo.

solid behaviour. Los objetos de la parte. por lo que no se comportan como sólidos. son mucho más complejas. The mesh module was first created to serve as a testbed. como sumas o restas. las mallas presentan una gran limitación: Son objetos muy tonto. and finally. y fácilmente se puede pasar de una aplicación a otra sin ningún tipo de pérdida. las mallas son a menudo el tipo de objeto 3D de elección de las aplicaciones que tratan con las películas. OpenCascade es un núcleo de CAD de nivel profesional. animación y creación de imágenes. Además. analyse it to detect errors or other problems that prevent converting them to more intelligent objects. you will receive 3D data in mesh format. la OpenCascade núcleo. que cuenta con avanzadas 3D manipulación de la geometría y los objetos. y por lo tanto permiten mucho más las funciones avanzadas. Maya o 3D Studio Max . ya que contienen datos muy sencilla. but be able to read. Ejemplo de formas parte en FreeCAD La pieza del banco de trabajo las capacidades CAD de FreeCAD se basan en Las herramientas . handled by the Part Module . since it is an engineering application. Very often. El módulo permite a la parte FreeCAD para acceder y utilizar los objetos OpenCascade y funciones. a diferencia de acoplamiento del módulo objetos. aplicaciones 3D por lo general pueden manejar grandes cantidades de ellos sin ningún problema. In FreeCAD. como las operaciones de booleanos coheent. modificar. En el campo de la ingeniería. líneas y caras. sin embargo. manipulate and convert meshes is also highly important for FreeCAD. sólo compuesto de puntos. in your workflow. convert them to more intelligent objects. y los errores de regresar a menudo. dividir. y no tienen información de masas. son muy fáciles de crear. En una malla no hay forma automática saber si un punto está dentro o fuera del objeto. son siempre un poco difícil de realizar en las mallas. Ellos sólo se hacen de las superficies. aristas y caras (triangulares). Por estas razones. You will need to handle that data. Esto significa que todas las operaciones sólida basada. such as mass. we would obviously prefer to work with more intelligent types of 3D objects. que contiene sólo los vértices (puntos). or even custom parameters. that can carry more informations. Puesto que las mallas son objetos muy simple.Muchas de las aplicaciones 3D utilizar mallas como su principal tipo de objetos en 3D. licuadora . la historia de modificaciones y el comportamiento paramétrico. estirar. con sketchup .

Que le permitirá elegir el objeto a modificar. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje Sección : Crea una sección por la intersección de un objeto con un plano de sección Operaciones booleanas . Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo). especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes.El módulo de herramientas de la parte están ubicados en el menú de la parte que aparece cuando se carga el módulo de la Parte. Primitivos Estas son herramientas para la creación de objetos primitivos.

Para obtener una lista completa de todos ellos se refieren a la documentación de la OCC y la búsqueda de Geom_Geometry y TopoDS_Shape. sino que se utilizará como la construcción de la geometría de las formas. Una forma puede ser un vértice. Por ejemplo. cilindro. un sólido o un compuesto de otras formas. una ventaja puede construirse a partir de una línea o de una parte de un círculo. El geométricas primitivas no están hechas para ser exhibida directamente en la escena 3D. Podríamos decir.) una cara se puede construir.. no a los usuarios finales. Tenga en cuenta que. se define por un vector de base y un vector de . círculos. un rostro. un borde. y las formas son la geometría real espaciales construidas sobre ella. una línea. es decir. o incluso algunos tipos más complejos como una curva B-spline o superficie. Por ejemplo. la línea geométrica primitiva es ilimitado.) que directamente se puede construir una ventaja. Pero esperamos que pueda encontrar la información suficiente para empezar aquí.. que la geometría primitiva son "sin forma" bloques de construcción.. de las superficies (plano. etc. Los tipos geométricos en realidad se puede dividir en dos grandes grupos: las curvas y superficies.. para continuar.Un ejemplo de la unión (Fusible). Fuera de las curvas (líneas. . . podemos distinguir entre primitivas geométricas y formas (topológicas). un alambre. la documentación OCC no está disponible en línea (se debe descargar un archivo) y es en su mayoría dirigidas a los programadores. Allí también se puede leer más acerca de las diferencias entre los objetos y formas geométricas. Un geométricas primitivas puede ser un punto. un avión. un círculo. intersección (común) y la diferencia (Corte) Explicar los conceptos En OpenCascade terminología. lamentablemente.

Line () l.1.0. y toda la gama de TopoShapes. Secuencias de comandos La estructura de datos principal utilizada en el módulo de la parte es el BREP tipo de datos de OpenCascade.Line () l.0. "Línea") Forma l.0. al revés.dirección.newDocument () l = Part. operaciones avanzadas. Ejemplos Para crear un elemento interruptor de la línea a la consola de Python y escriba: Parte de importación. sólidos y compuestos.newDocument () Carga el módulo de la parte y crea un nuevo documento l = Part.1.addObject ("Parte:: Reportaje". Explore el contenido del módulo de la Parte. PartGui doc = App.toShape = (). tales como Line y Circle (o arco).0. Y una caja .pueden ser creados por seis aviones limitada.0) l. y para algunos de ellos. cables.0) doc.1. como el sindicato booleanos / diferencia / intersección están también disponibles. Sobre todo el contenido y los tipos de objetos del módulo de la parte ya están disponibles para python scripts. de formas que pueden construir piezas muy complejas o. Así.toShape = ().0.StartPoint = (0. mientras que su representación de forma debe ser algo limitado por un punto inicial y final. como vértices.0) l. Para cada uno de esos objetos.EndPoint = (1.addObject ("Parte:: Reportaje". extraer todos los subforma de una forma más compleja se hace.0. para saber más. Esto incluye primitivas geométricas.0.0.EndPoint = (1. Desde el borde o en la cara también puede volver a su primitiva geométrica parte contraria. PartGui doc = App. especialmente los TopoShapes. doc.0) Línea es en realidad un segmento de línea. Caras.una sólida .0. como se describe en el FreeCAD secuencias de comandos básicos página. por lo tanto. los métodos de varias creaciones existen.1. el inicio y punto final.StartPoint = (0.0. bordes.0.recompute () Vamos a pasar por el pitón ejemplo anterior paso a paso: Parte de importación. "Línea") Forma l. doc. .0.

"Círculo") f. en este caso sólo habrá uno.Curve Aquí tomamos la forma de nuestro objeto f. por lo que tomar sólo el primer elemento de la lista de los bordes. Tenga en cuenta que una línea se pueden crear especificando su inicio y punto final directamente en el constructor. doc. por ej. podemos todavía acceder a nuestra geometría de construcción después. Sólo formas se pueden agregar al documento. Cada Edge tiene una curva.activeDocument () c = Part.toShape = () doc.recompute () Observe de nuevo. haciendo: s = f. un título y su logotipo y.Shape c.Esto agrega un tipo de objeto a la parte del documento y le asigna la representación de la forma del segmento de línea a la 'forma' de propiedad del objeto agregado.Radius = 10. configurar y exportación de hojas de dibujo 2D .Shape e = s. entonces tomamos la lista de los bordes. El banco de trabajo de dibujo El módulo de dibujo le permite poner su trabajo en 3D en el papel. Part.0 f = doc. En FreeCAD.Line (punto 1.Circle () c. para poner puntos de vista de sus modelos en una ventana 2D y para insertar esa ventana en un dibujo. finalmente. imprimir esa hoja.recompute () Actualiza el documento. Por supuesto. Es importante entender aquí que se utilizó una primitiva geométrica (el Part. se utilizó el círculo (geometría primitiva) para construir una forma de ella. El módulo de dibujo se encuentra en construcción y más o menos una muestra de tecnología! Herramientas GUI Estas son las herramientas para crear.line) para crear un TopoShape fuera de él (el toShape () método). que es la geometría primitiva se basa en. Es decir. porque hemos hecho toda la forma de un solo círculo. punto2) o podemos crear una línea predeterminada y establecer sus propiedades después.Edges [0] c = e. y toma su curva. por ejemplo una hoja con un borde.addObject ("Parte:: Reportaje". Un círculo puede ser creado de una manera similar: Parte de importación doc = App. Esto también preparar la representación visual del objeto pieza nueva. como lo hicimos aquí. primitivas de la geometría se utilizan como "estructuras de los edificios" de formas.

Cada vista tiene una posición en la página (Propiedades X. Y). Una página se crea una instancia a través de una plantilla. muy limitadas. Secuencias de comandos En el momento en que el usuario (GUI) de flujo de trabajo son . su logotipo o el cumplimiento de las normas de su presentación. La plantilla es un documento SVG que puede mantener su marco de página de costumbre. En esta página se puede insertar uno o varios puntos de vista. El documento contiene un objeto de forma (Schenkel) que desea extraer de un dibujo. A continuación ejemplos de cómo utilizar la API de secuencias de comandos del módulo de dibujo. en este caso el "A3_Landscape" plantilla. Por lo tanto una "página" se crea. un factor de escala (escala de la Propiedad) y propiedades adicionales. Cada vez que la página o ver el o los cambios de objeto de referencia de la página se regenera y la visualización de la página actualizada. por lo que la API de secuencias de comandos es más interesante.Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG En la foto se ven los principales conceptos del módulo de dibujo.

"Z =".ActiveDocument. Shape. La G0 significa borde duro.XLength.1.100)).project (forma.Vector (1.YLength.ActiveDocument.Edges) print "aristas ocultas". hiddenG1] = Drawing.Length = 100.BoundBox.Edges) Todo lo que se proyectó en el plano Z: print "Bnd Caja forma: X =".BoundBox. App. "Y =".00 App.addObject ("Parte:: Box". hiddenG1] = Drawing. el G1 es tangente continua.makeBox (100100100).makeBox (90.Box. Corte (Part. Shape.addObject ("Parte:: Box".85.1)) resultSVG de impresión La forma paramétrica Crear el cuerpo # Crear tres cajas y un cilindro App.Vector (1.Shape.Box. hiddenG0.BoundBox.BoundBox. Base.40.ActiveDocument.100))) proyección directa.00 App.Height = 100.BoundBox. Corte (Part. Corte (Part. visibleG1.Width = 100.XLength.Box.projectToSVG (forma. visibleG0.ActiveDocument.project (Forma) print "bordes visibles:". hiddenG0. visibleG0.YLength. "Box") App.1)) Proyecto a SVG resultSVG = Drawing.ZLength vectores de proyección diferentes [VisibleG0.BoundBox.Ejemplo simple En primer lugar usted necesita la pieza y el módulo de dibujo: importación FreeCAD parte. len (visibleG0. len (hiddenG0.makeBox (20. Forma = App. "Cuadro n º 1") . Dibujo Cree una parte pequeña muestra Part.ActiveDocument.makeCylinder (80100)).ZLength print "Bnd Caja proyecto: X =".00 App.show (Part.Shape [VisibleG0. "Y =". "Z =". Shape.1. visibleG1.ActiveDocument. visibleG0.

0.Cylinder.activeDocument = ().activeDocument = ().00 App.Source App. App. Box2.ActiveDocument.0.Length = 20.0 Page.00 App. definir la posición y la escala y la asigna a una página de App.Height = 100.' Ver View. Shape.activeDocument ().Visibility = False Gui. App. "Cilindro") App.00 App. App. addObject. Fusion.00 # Dos cajas de fusibles y el cilindro App.Y = 10.activeDocument () addObject. Forma View.activeDocument () addObject.Width = 40.Template App.Base App. Fusion.activeDocument = ().activeDocument () addObject.activeDocument ().Visibility = False Gui.activeDocument ().' ViewRot ') App.Box1.activeDocument (). Cilindro App.Box1.ActiveDocument.activeDocument () addObject ("Parte:: Corte".activeDocument = ().Direction = (0.Visibility = False Gui. Shape.Box1. App.addObject ("Parte:: Box". ("Dibujo:: FeaturePage '.getResourceDir = () + 'Mod/Drawing/Templates/A3_Landscape.Tool App.activeDocument ().activeDocument ().activeDocument (). Page. ("Dibujo:: FeatureViewPart '.1.0.activeDocument = ().activeDocument ().Tool App.' Página ') App.activeDocument () addObject. ("Dibujo:: FeatureViewPart '.Box2.ActiveDocument.Radius = 80. Box. Fusion1 # Ocultar todas las formas intermedias Gui.ActiveDocument. Cuadro n º 1 App.Source App.addObject (App.Box2.Tool App.ActiveDocument.Base App.activeDocument (). Forma . Fusion1.Angle = 360.Base App.activeDocument ().Visibility = False Gui. Cylinder.activeDocument (). "BOX2") App. Fusion1.activeDocument ().X = 10. "Fusión") App.00 App.Length = 90.activeDocument ().ActiveDocument.ActiveDocument.Width = 85.activeDocument (). Box1.activeDocument ().00 App. pero esta vez la vista se gira 90 grados.activeDocument = (). ("Parte:: Fusible". BOX2 App.ActiveDocument.activeDocument () ') App.ActiveDocument.Visibility = False Insertar un objeto de página y asignar una plantilla App. "Forma"). Caja App.00 App.Height = 100.00 App.activeDocument ().activeDocument (). Fusion.Visibility = False Gui.0 View.ActiveDocument. ViewRot.0) View. Fusión # Cortar las formas fundido de la primera casilla App.svg' Crear una vista sobre la "forma" del objeto. ("Parte:: Fusible". Vista) Crear un segundo punto de vista sobre el mismo objeto. Fusion1.Cylinder.00 App.Box2. App.activeDocument = (). App.ActiveDocument.App.Cylinder.activeDocument ().activeDocument = ().addObject ("Parte:: El cilindro".activeDocument (). "Fusion1") App.activeDocument ().Height = 100.

0. App.0) ViewRot. App.X = 335.ViewResult print ViewSVG Accede a la página de resultados de todo (es un archivo en el directorio temporal del documento.activeDocument ().activeDocument App.'ViewSelf') App. 0. Cambiar algo y actualización.1.activeDocument ().Rotation = 90.Direction = (1.1."r") print "Result page is ".View.activeDocument().ViewResult = """<g id="ViewSelf" stroke="rgb(0. App. App.activeDocument().App.addObject('Drawing::FeatureView'.activeDocument = ().activeDocument App.Y = 140.addObject (App. 0)" stroke-width="0.1.ViewSelf) .Y = 30. ("Dibujo:: FeatureViewPart '. (). App.Scale = 1. Los cambios en el proceso de actualización de la vista y la página." lines long" Importante: liberar el archivo! del archivo Insertar una vista con su propio contenido: App. View.35" stroke-linecap="butt" stroke-linejoin="miter" transform="translate(30.Page.0) ViewIso.activeDocument ().0 App.addObject(App.readlines()). ().activeDocument App.Page.ShowHiddenLines = True Page.PageResult file = open(App.App. sólo el permiso de lectura) print "Resulting SVG document: ".activeDocument (). (). App.5 App.activeDocument ().0 ViewIso.0 ViewIso.' ViewIso.0.0.Page.activeDocument App. Forma ViewIso.activeDocument().0.PageResult. Las líneas ocultas se activan también.activeDocument (). Volver a calcular () Obtener el fragmento de SVG de una sola vista ViewSVG = App.Source App.0 ViewRot. ().activeDocument App.activeDocument().activeDocument().activeDocument ().X = 30.activeDocument().0 ViewRot.len(file. Crear un tercer punto de vista sobre el mismo objeto pero con una dirección de la vista isométrica. View.0 App.activeDocument ViewRot) ().0. ViewRot.activeDocument ().0 ViewRot. ().Y = 30.Scale = 1.activeDocument().activeDocument ().0 Page.addObject (App.ViewSelf. ViewIso) addObject. View.30)" fill="#00cc00" > <ellipse cx="40" cy="40" rx="30" ry="15"/> </g> "" " App. App.Direction = (0.activeDocument ().activeDocument () ViewIso ') App.X = 290.activeDocument ().activeDocument ().

resultSVG That leads to the following result Esto nos lleva al siguiente resultado: GUI Tools Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara.ViewSVG.App. etc) a la POVRay proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Exportar una vista La forma más fácil es exportar la vista 3D actual y todo su contenido a una Povray archivo.activeDocument(). ." en el menú de trazado de rayos. En primer lugar. seleccione "Exportar Vista . A continuación...recompute() del Shape. debe cargar o crear sus datos de CAD en 3D y la posición de la orientación de la vista que desee.

After that you can open it in Povray and render: Después de que se puede abrir en Povray y hacer: Como es habitual en un rendererer puede tomar imágenes grandes y bonitas: . Pobreza.pov file.You get ask for a location to save the resulting *. Usted consigue pedir una ubicación para guardar el archivo resultante *.

RaytracingGui OUTFILE = open ("C: / Documents and Settings / jriegel / Escritorio / test.getResourceDir () + 'Mod / Raytracing / Plantillas / ProjectStd.0. Actualmente. los módulos permite abrir. También hay una herramienta que le permite capturar una imagen de una webcam. App.activeDocument ().write (abierto (App. Está escrito completamente en Python..povViewCamera ()) OutFile. Read ()) OutFile. y es . El proyecto de banco de trabajo El proyecto de módulo es un módulo de trabajo en curso y experimental muy de añadir 2d básicas de dibujo funcionalidad para FreeCAD.800000)) OutFile.close () del OUTFILE Enlaces La imagen de banco de trabajo El módulo de imagen maneja diferentes tipos de imágenes de mapa de bits .' w ') OutFile.800000. Formatos de archivo xpm en una ventana del visor por separado.Secuencias de comandos Aquí es cómo utilizar estas características de Python: Raytracing importación.write (Raytracing. 0.pov'). Bmp.getPartAsPovray ('Box'.Shape. Box.0.write (RaytracingGui. Png y. Jpg.pov '..800000. y le permite abrir en FreeCAD.

the whole QT interface) looks much better if you choose the "cleanlooks" style in FreeCAD general preferences. la interfaz de QT conjunto) se ve mucho mejor si se elige la "cleanlooks" estilo en las preferencias de FreeCAD general . Siéntase libre para probar. Inicio rápido No todos los comandos Proyecto de trabajar bien en 3D en el momento. lo mejor que puede hacer es ponerse a la vista 2D ortográfica antes de empezar a dibujar. pulse la tecla O (o ver el menú . A continuación. abra o cree un nuevo documento. pero que es utilizado por las diferentes funciones para mostrar sus controles. y nos dan un voto en la página de discusión . También puede configurar FreeCAD (menú Editar -> Preferencias) para iniciar siempre en modo ortográficas. On that command bar. pero ya contiene un par de funciones básicas de trabajo.. When you activate it. Tutorial Tutorial Para una explicación en profundidad. two toolbars will appear. una barra de herramientas clásicos que contiene el proyecto de norma comandos que aparecen a continuación y una barra de comandos especiales que no tiene icono de la herramienta en él. El banco de trabajo el proyecto está disponible en la lista de bancos de trabajo. sin siquiera tocar el código fuente. Actualmente no es muy útil para el trabajo de producción. dos barras de herramientas aparecerá. Como anotación al margen. más abajo para obtener rápidamente una vía férrea.también la intención de mostrar hasta qué punto se puede extender FreeCAD enteramente en python. En esa barra de comandos.. As a sidenote. a classical toolbar containing the standard draft commands listed below and a special command bar that has no tool icon on it. en mi humilde opinión. Por lo tanto. o leer la sección de inicio rápido. Para ello. a continuación. IMHO. la barra de comandos (y. está listo para dibujar. pulse la tecla 2 (o ver el menú -> vistas estándar -> arriba) para que usted tenga en la vista superior. . you can also change general things like current line color and width. lea el proyecto de tutorial (en preparación). Ahora. Al activarlo. but that is used by the different functions to display their controls. también puede cambiar las cosas en general como el color de la línea actual y la anchura. the command bar (and.vista ortográfica>) para cambiar al modo ortográfico.

los importadores se centran sólo en objetos 2D. KDE). de importación o exportación de otros formatos de archivo. círculos. mientras que la importación se anexar el contenido del archivo para el documento actual. Puede que tenga que cambiar esa tecla de acceso en las preferencias de escritorio. GNOME. : Importaciones y exportaciones de OCA / archivos GCAD. . que ganó ' objetos t importación aforado como mallas. Exportadores guardar los objetos seleccionados a un archivo. sólo asegúrese de que la coordenada Z se abre en la elaboración. aunque en formato DXF y OCA hacer objetos apoyar las definiciones en el espacio 3D (objetos no son necesariamente plana). En casi todos los comandos. entonces todos los objetos se exportarán. etc. MAYÚS limitará su movimiento horizontal. se enfrenta a 3D. y el lugar mismo en la vista apropiada. textos o formas planas. la tecla ALT está obligado por defecto para mover ventanas en el escritorio. La tecla ESC siempre cancelar el comando activo. verically o en relación con un segmento existente. y. Apertura se abrirá un nuevo documento con el contenido del archivo. presionando la tecla CTRL le permitirá ajustar a los puntos existentes. Algunos comandos de trabajo en los planos no horizontales también. una posible nueva CAD formato de archivo abierto Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas.Todos los comandos proyecto de seguir más o menos las mismas reglas: Las herramientas de dibujo le pedirá que recoger los puntos de la pantalla o introducir coordenadas numéricas. sino más bien líneas. en caso de que no hay ningún objeto seleccionado. Tenga en cuenta que dado que el objetivo del módulo de Proyecto es trabajar con objetos 2D. mientras que las herramientas de modificación le pedirá que seleccione un objeto para trabajar en primer lugar. Si no se selecciona nada. Nota En algunos sistemas de escritorio (por ejemplo. y en algunas herramientas ALT le dará opciones adicionales como la creación de un nuevo objeto en lugar de la transformación de una ya existente. Currently supported file formats are: Actualmente los formatos de archivo son: Autodesk DXF : Importaciones y exportaciones de DXF archivos creados con otras aplicaciones de CAD SVG (como la geometría) : Las importaciones y exportaciones de archivos SVG creados con aplicaciones de dibujo vectorial open CAD file format Abrir formato Cad OCA. Importación y exportación Estas son las funciones de apertura. A continuación encontrará una descripción más completa de todas las herramientas disponibles.

Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto . pero si no hay ningún objeto seleccionado. Trabajan en los objetos seleccionados. De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro. ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes.Working plane : Sets your working plane for the next operations plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Put on Sheet : Writes selected objects to a svg drawing sheet Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos. se le invitará a seleccionar una. radio.

también se puede editar y crear secuencias de comandos muy complejos. Puesto que las macros son en realidad una lista de comandos de Python. ¿Cómo funciona? . Sólo tiene que registrar las acciones a medida que los hacen. para el interruptor de fácil encendido / apagado Todos los objetos creados recientemente adoptar actual Proyecto de color y el ancho El módulo de Proyecto también tiene sus preferencias de pantalla API macros Macros Las macros son una manera conveniente de crear acciones complejas en FreeCAD. salvo que con un nombre y reproducirlas siempre que lo desee. Al presionar ALT mientras utiliza la herramienta hará una copia Modo de construcción : Le permite poner la geometría del resto.Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base Editar : edita un objeto seleccionado Los comportamientos más habituales Ajuste : permite colocar nuevos puntos en lugares especiales en los objetos existentes Restringir : Permite colocar nuevos puntos de forma horizontal o vertical en relación a los puntos anteriores Trabajo con manual de las coordenadas : permite introducir coordenadas manual en lugar de hacer clic en la pantalla Copia: Todas las herramientas de modificación puede modificar los objetos seleccionados o crear una copia modificada de ellos. a continuación.

que se abrirá en una ventana del editor. cada acción que hacemos. como pulsar un botón. y. Ejemplo Pulse el botón de grabación. Es muy sencillo de utilizar: Presione el botón de grabación. donde puedes hacer cambios en su código. editar y reproducir la macro actual. Ahora puede acceder al diálogo de macro con el botón de edición: No puede administrar sus macros. realizar algunas acciones. pulse el botón "grabar stop". eliminar.Si habilita la salida de consola (Menú Edición -> Preferencias -> General -> Macros -> scripts Mostrar los comandos de consola en python). Cuando haya terminado. La principal herramienta para la toma de las macros es la barra de herramientas de macros: . Para ejecutar la macro. a continuación. los resultados de un comando python. haga clic en el botón de detener la grabación. basta con . En ella tiene 4 botones: Grabar. Thos comandos son los que se pueden grabar en una macro. crear un cilindro con radio y la altura = 10 = 10. si lo desea. Si edita una macro. en el Workbench parte . digamos "10x10 cilindro". entonces. puede ver el código Python que se ha registrado. se le pedirá dar un nombre a la macro. verá que en FreeCAD. realizar modificaciones a la misma. detener la grabación. En el diálogo de editar las macros. A continuación. editar o crear otros nuevos desde cero. darle un nombre. y sus acciones se guardarán.

multiplataforma lenguaje de programación . o cualquier macro que cree. Creación de macros sin grabar También puede directamente copiar / pegar en el código python una macro. por lo que cualquier cambio que realice.. la macro aparecerá en el marco del "macros instaladas" elemento del menú Macro. Basta con crear una nueva macro. sin dejar constancia de acción interfaz gráfica de usuario. siempre habrá tiempo disponible próxima vez que inicie FreeCAD. Siga leyendo para la secuencia de comandos página si quieres saber más acerca de secuencias de comandos de Python .pulsar el boton de ejecutar en la barra de herramientas. FreeCAD ofrece maneras mucho mejores para utilizar la macro. Usted macro siempre se guarda en el disco. tales como la asignación de un atajo de teclado para o poner una entrada en el menú. Personalizar Por supuesto que no es práctico para cargar una macro en el editor con el fin de usarlo. editar. mientras que la macro está en el editor. Python tiene varias características que lo hacen muy diferente de otros lenguajes de programación . Una vez que la macro se crea.. todo esto se puede hacer a través del menú Herramientas -> Personalizar: De esta manera usted puede hacer la macro convertido en una herramienta real. Macros repositorio Introducción a Python Este es un breve tutorial hecho por lo que es totalmente nuevo para Python. A continuación. y pegar el código. permite añadir fácilmente sus propias herramientas para la interfaz. La próxima vez que usted comienza FreeCAD. puede guardar la macro de la misma manera que se guarda un documento FreeCAD. Python es un código abierto. sumado a la potencia de scripts python en FreeCAD. Esto. al igual que cualquier herramienta estándar FreeCAD.

por lo que el programa no funcionará. Por ejemplo. escriba su programa. y así sucesivamente hasta que el programa funciona bien. línea por línea si desea hacerlo. por ejemplo. a continuación. por lo que puede escribir código en Python FreeCAD. que ha colocado a un programador a su disposición. La mayoría de las veces que cometió errores al escribir. ejecute de nuevo. para comunicarse con Twitter. A continuación. El intérprete Por lo general. ya que ir despacio. . que manipular las piezas de FreeCAD. a diferencia de lenguajes compilados como C. y usted recibirá un mensaje de error diciendo que lo que salió mal. para programar las tareas a realizar por el sistema operativo. paso a paso. porque en lugar de sólo hacer clic en un botón llamado "crear esfera". y muy accesible para los usuarios nuevos como a ti mismo: Ha sido especialmente diseñado para ser fácil de leer por los seres humanos. Pero mi esperanza es que después de que usted va a obtener fundamentos suficientes para explorar más profundamente en los mecanismos FreeCAD. de ningún modo un completo tutorial. etc Tenga en cuenta que lo que vendrá después es una introducción muy simple. Esto es muy poderosa. El código que se escribe puede ejecutarse inmediatamente. Puede ser integrado en otros programas para ser utilizado como lenguaje de scripting.comunes. que puede fácilmente conectar nuevos módulos en la instalación de Python y extender su funcionalidad. corregir los errores. FreeCAD tiene un intérprete de Python incrustado. compilarlo y ejecutarlo. vuelva a su editor de texto. Se interpreta. usted tiene la libertad para crear fácilmente su propia herramienta para crear exactamente la geometría que desee. al escribir programas de ordenador. por lo que es muy fácil de aprender y comprender. tiene módulos que permiten python para leer y escribir imágenes en jpg. Esto hace que sea muy fácil de aprender y de encontrar errores en el código. es decir. para crear la geometría. Es extensible. basta con abrir un editor de texto o su entorno de programación especial que es en la mayoría de casos un editor de texto con varias herramientas a su alrededor. su programa no tiene que ser compilado antes de su ejecución.

e incluso la representación de estos contenidos en los puntos de vista en 3D son accesibles desde la incorporada en el intérprete de Python o de sus propios scripts. FreeCAD es probablemente una de las aplicaciones de ingeniería más profundamente personalizables disponibles en la actualidad. donde a partir de simples comandos para completar los programas se pueden ejecutar sobre la marcha. y todos los módulos adicionales de FreeCAD instaló más tarde. donde se puede navegar entre las subclases y métodos disponibles. un texto de ayuda asociado (si existe) se muestra: . FreeCAD tiene muy pocos "nativo" comandos para interactuar sobre los objetos 3D. sin embargo. Casi todas las partes del FreeCAD como la interfaz. La siguiente imagen muestra al intérprete de Python: Desde el intérprete. esperamos. sino también porque la filosofía que hay detrás es más para proporcionar una plataforma para el desarrollo de un CAD aplicación de usuario a la medida.FreeCAD está construido desde cero para ser totalmente controlado por scripts python. FreeCAD proporciona un navegador de clases muy útil para la exploración de su nuevo mundo FreeCAD: Cuando se escribe el nombre de una clase conocida seguido por un punto (lo que significa que desea agregar algo de esa clase). puede acceder a todos los módulos de Python instalado el sistema. una ventana de navegador de clases se abre. sobre todo porque se puede ejecutar dentro de un intérprete. al igual que. la facilidad de python scripting dentro FreeCAD probablemente ayudará mucho para ver rápidamente la nueva funcionalidad está siendo desarrollado por "usuarios avanzados". Python es un lenguaje muy fácil de aprender. por lo general. Como resultado. En su estado actual. sin necesidad de compilar nada. y tienen un rápido vistazo a su estructura. sobre todo porque se encuentra todavía en fase inicial de desarrollo. así como la construcción de los módulos FreeCAD. el contenido de la escena. Si no está familiarizado con Python. los usuarios que conocen un poco de programación Python. Cuando se selecciona algo. FreeCAD ha incorporado un intérprete de Python. FreeCAD has a built-in python interpreter. El intérprete Desde el intérprete. le recomendamos buscar tutoriales en Internet. o. Sin embargo. a ti mismo. puede ejecutar código python y navegar a través de las clases disponibles y su función.

usted encontrará una entrada llamada "ayuda Python". Así. y la funcionalidad de Gui. llamado Gui. Estos dos módulos también se puede acceder desde fuera de las secuencias de comandos del intérprete. Y ver qué pasa. a continuación.Por lo tanto. Su ventana FreeCAD deben permanecer abiertas para este sistema de documentación para trabajar. empezar por aquí escribiendo de la aplicación. que se abrirá una ventana que contiene una documentación completa. etc Otra característica útil de la intérprete es la posibilidad de volver atrás en el historial de comandos y recuperar una línea de código que ya ha escrito antes. en tiempo real generado de todos los módulos de Python a disposición del intérprete FreeCAD. casi todas sus funciones se separa en dos grupos: la funcionalidad de la base. sólo tiene que utilizar CTRL + o Ctrl +. hacer un guión completo de la misma). Por ejemplo. La documentación disponible no depende de la cantidad de esfuerzo que cada desarrollador de módulos poner en la documentación de su código. Otra forma de serpiente pitón más genérico de explorar el contenido de los módulos y las clases es usar el directorio de impresión () comando. por los nombres respectivos de FreeCAD y FreeCADGui. incluyendo python y FreeCAD integrado en los módulos . imprimir escribiendo dir () mostrará una lista de todos los módulos cargados en FreeCAD. también tiene otras opciones. Python Ayuda En el menú Ayuda FreeCAD. los módulos instalados por el sistema. O Gui. Construido en módulos Desde FreeCAD está diseñado para funcionar sin interfaz gráfica de usuario. nuestros dos principales FreeCAD integrado en los módulos se llaman de la aplicación y Gui. y los módulos FreeCAD adicionales. o insertar nombre de archivo con ruta completa. Al hacer clic derecho en la ventana del intérprete. . tales como copia de toda la historia (útil para experimentar algo aquí. Dir de impresión (la aplicación) le mostrará todo el interior del módulo de la aplicación. pero por lo general módulo python tienen la reputación de estar bastante bien documentado. de nombre de la aplicación. Para navegar en la historia de comandos.

que se almacenan en un objeto correspondiente Gui. sólo es válido cuando se ejecuta FreeCAD con su interfaz completa. En el módulo de Gui. todo lo que se separa entre el núcleo y la representación. como listas. la longitud. una documentación completa y actualizada de estos módulos.ViewObject . Esto incluye los objetos en 3D también. Por ejemplo. por lo que los cambios que podría haber hecho directamente al objeto Gui podría perderse. usted encontrará las herramientas para acceder y gestionar elementos de la GUI.ActiveDocument. la representación gráfica de todo el contenido FreeCAD. en realidad.ActiveDocument. En la versión de línea de comandos. que se almacenan en un objeto de la aplicación y las propiedades de la representación. hojas de cálculo o análisis de elementos. o incluso redirigir el contenido del documento de la aplicación no gráfica. Listado de todos los contenidos de los módulos es una tarea poco contraproducente. El documento en sí. existe un correspondiente objeto Gui. sin interfaz gráfica de usuario existe. Tenga en cuenta que la parte de interfaz gráfica de objetos se genera de nuevo cada vez que un objeto de la aplicación está marcada como "que se vuelven a calcular" (por ejemplo. usted encontrará todo lo relacionado con la aplicación en sí.ObjectName. ya que crecen muy rápido a lo largo del desarrollo FreeCAD. se escribe: donde "ObjectName es el nombre del objeto También puede escribir. más interesante.getObject ("ObjectName") myViewObject = App. Puede acceder a la definición de propiedades de los objetos (llamados funciones de FreeCAD) a través del módulo de la aplicación. también tiene aplicación y objetos GUI.ObjectName myViewObject = Gui. Para cada objeto de la aplicación en el documento. Esto. por supuesto. sin necesidad de preocuparse por ninguna parte visual.: para acceder a la parte Gui del mismo objeto. en cualquier momento.ActiveDocument. modo de dibujo. como los algoritmos que sólo funcionan en la parte de la definición de características. por lo que sólo los objetos de la aplicación son availible. como los métodos para abrir o cerrar archivos.En el módulo de la aplicación. y cambiar la forma en que están representados en la pantalla a través del módulo Gui. tales como caras de color.ActiveDocument. cuando uno de sus parámetros cambiados). para acceder a la parte de la aplicación de algo. escribe: myObject = App. como la creación del documento activo o el listado de su contenido.getObject ("ObjectName") donde "ObjectName es el nombre del objeto También puede escribir. y en los documentos.: myObject = App. la altura. Pero las dos herramientas de navegación siempre (el navegador de clases y la ayuda de python) le debería dar. como los bancos de trabajo y sus barras de herramientas y. como anchura. un cubo tiene propiedades que lo definen. en FreeCAD. Esta forma de hacer permite una amplia gama de usos. La aplicación y los objetos Gui Como hemos dicho.

ActiveView myDocument = App. al igual que la geometría contenido en el interior.newDocument("Document Name") Introducción First of all you have to import the Mesh module: import Mesh . tiene objetos de la aplicación y Gui myDocument = App. Varios documentos se pueden abrir al mismo tiempo. estamos en el modo de línea de comandos). la última línea volverá Ninguno.ActiveDocument. Los objetos de documento En FreeCAD todo su trabajo reside dentro de los documentos. you type: To access the current view.ActiveDocument To create a new document.Si no tenemos interfaz gráfica de usuario (por ejemplo. you type: myGuiDocument = Gui. Un documento que contiene la geometría y se pueden guardar en un archivo. type: To access the Gui part the currently open (active) document. El documento.ActiveDocument myView = Gui.